#include <stdio.h>
#include "common.h"
//extern "C" {
#include <spu_mfcio.h>
//}

typedef long long int64;

command_t command;


int main(int64 id, int64 args){
	printf("spu #%lld : Hello, I'm program on spu unit!\n",id);

	
	int tag = mfc_tag_reserve(); 
	mfc_get(&command, args, sizeof(command_t), tag, 0,0);
	mfc_write_tag_mask(1<< tag);
    mfc_read_tag_status_all();
	mfc_tag_release(tag);

	printf("spu #%lld : args: 0x%llx \n", id,  args);
	printf("spu #%lld : args size: %d \n", id,  command.size);
	printf("spu #%lld : vec.a: 0x%llx \n", id, command.a);
	printf("spu #%lld : vec.b: 0x%llx \n", id, command.b);
	printf("spu #%lld : vec.c: 0x%llx \n", id, command.c);
	
	
	return 0;
}


